Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1693384 - Vicious has many unneeded hard dependencies
Summary: Vicious has many unneeded hard dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vicious
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Simon A. Erat
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-27 17:31 UTC by Xaver Hellauer
Modified: 2019-04-07 04:19 UTC (History)
3 users (show)

Fixed In Version: vicious-2.3.3-2.fc30 vicious-2.3.3-2.fc28 vicious-2.3.3-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-02 00:02:01 UTC


Attachments (Terms of Use)

Description Xaver Hellauer 2019-03-27 17:31:22 UTC
Description of problem: Some of the dependencies should be weak dependencies. On a minimal system that only uses ethernet and has an SSD drive, this pulls down lots of unneeded packages including the deprecated wireless-tools.


Version-Release number of selected component (if applicable): 2.3.3

Actual situation:

Requires:    alsa-utils
Requires:    awesome
Requires:    curl
Requires:    hddtemp
Requires:    lua
Requires:    wireless-tools

Expected situation:

Recommends:  alsa-utils
Requires:    awesome
Recommends:  curl
Recommends:  hddtemp
Requires:    lua
Recommends:  wireless-tools
Recommends:  iw


Additional info:

Vicious comes with modules and if you don't have wifi or you don't care for your hard drive temperature, you don't need wireless-tools and hddtemp. Same is true for alsa and curl.
Also, vicious has a module that can use the newer iw instead of wireless-tool, this should also be a weak dependency.

Comment 1 Fedora Update System 2019-03-29 12:13:42 UTC
vicious-2.3.3-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8617681a86

Comment 2 Fedora Update System 2019-03-29 12:13:48 UTC
vicious-2.3.3-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6fa568625a

Comment 3 Fedora Update System 2019-03-29 12:13:55 UTC
vicious-2.3.3-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c4c959332a

Comment 4 Fedora Update System 2019-03-29 20:11:00 UTC
vicious-2.3.3-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c4c959332a

Comment 5 Fedora Update System 2019-03-29 20:32:21 UTC
vicious-2.3.3-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8617681a86

Comment 6 Fedora Update System 2019-03-29 22:41:20 UTC
vicious-2.3.3-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6fa568625a

Comment 7 Fedora Update System 2019-04-02 00:02:01 UTC
vicious-2.3.3-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-04-07 01:47:18 UTC
vicious-2.3.3-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-04-07 04:19:43 UTC
vicious-2.3.3-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.